package de.dass_it.vanhelsing.gui.items;

public class CatalogItem extends ItemType implements UserObjectItem{

	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="password"
	 */
	private String password;
	/**
	 * @uml.property  name="dbname"
	 */
	private String dbname;
	/**
	 * @uml.property  name="user"
	 */
	private String user;
	/**
	 * @uml.property  name="dbsocket"
	 */
	private String dbsocket;
	/**
	 * @uml.property  name="dbaddress"
	 */
	private String dbaddress;
	/**
	 * @uml.property  name="dbport"
	 */
	private String dbport;
	/**
	 * @uml.property  name="description"
	 */
	private String description;
	/**
	 * @uml.property  name="address"
	 */
	private String address;
	/**
	 * @uml.property  name="dbpassword"
	 */
	private String dbpassword;
	/**
	 * @uml.property  name="dbuser"
	 */
	private String dbuser;
	/**
	 * @uml.property  name="dbdriver"
	 */
	private String dbdriver;
	/**
	 * @uml.property  name="multipleconnections"
	 */
	private String multipleconnections;


	public CatalogItem(){}
	public CatalogItem(String name, String dbname, String user, String password){
		setName(name);
		setDbname(dbname);
		setUser(user);
		setPassword(password);
	}
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return
	 * @uml.property  name="password"
	 */
	public String getPassword() {
		return password;
	}
	/**
	 * @param password
	 * @uml.property  name="password"
	 */
	public void setPassword(String password) {
		this.password = password;
	}
	/**
	 * @return
	 * @uml.property  name="dbname"
	 */
	public String getDbname() {
		return dbname;
	}
	/**
	 * @param dbname
	 * @uml.property  name="dbname"
	 */
	public void setDbname(String dbname) {
		this.dbname = dbname;
	}
	/**
	 * @return
	 * @uml.property  name="user"
	 */
	public String getUser() {
		return user;
	}
	/**
	 * @param user
	 * @uml.property  name="user"
	 */
	public void setUser(String user) {
		this.user = user;
	}
	/**
	 * @return
	 * @uml.property  name="dbsocket"
	 */
	public String getDbsocket() {
		return dbsocket;
	}
	/**
	 * @param dbsocket
	 * @uml.property  name="dbsocket"
	 */
	public void setDbsocket(String dbsocket) {
		this.dbsocket = dbsocket;
	}
	/**
	 * @return
	 * @uml.property  name="dbaddress"
	 */
	public String getDbaddress() {
		return dbaddress;
	}
	public void setDbAddress(String dbaddress) {
		this.dbaddress = dbaddress;
	}
	/**
	 * @return
	 * @uml.property  name="dbport"
	 */
	public String getDbport() {
		return dbport;
	}
	/**
	 * @param dbport
	 * @uml.property  name="dbport"
	 */
	public void setDbport(String dbport) {
		this.dbport = dbport;
	}
	/**
	 * @return
	 * @uml.property  name="description"
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description
	 * @uml.property  name="description"
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return
	 * @uml.property  name="address"
	 */
	public String getAddress() {
		return address;
	}
	/**
	 * @param address
	 * @uml.property  name="address"
	 */
	public void setAddress(String address) {
		this.address = address;
	}
	/**
	 * @return
	 * @uml.property  name="dbpassword"
	 */
	public String getDbpassword() {
		return dbpassword;
	}
	/**
	 * @param dbpassword
	 * @uml.property  name="dbpassword"
	 */
	public void setDbpassword(String dbpassword) {
		this.dbpassword = dbpassword;
	}
	/**
	 * @return
	 * @uml.property  name="dbuser"
	 */
	public String getDbuser() {
		return dbuser;
	}
	/**
	 * @param dbuser
	 * @uml.property  name="dbuser"
	 */
	public void setDbuser(String dbuser) {
		this.dbuser = dbuser;
	}
	/**
	 * @return
	 * @uml.property  name="dbdriver"
	 */
	public String getDbdriver() {
		return dbdriver;
	}
	/**
	 * @param dbdriver
	 * @uml.property  name="dbdriver"
	 */
	public void setDbdriver(String dbdriver) {
		this.dbdriver = dbdriver;
	}
	/**
	 * @return
	 * @uml.property  name="multipleconnections"
	 */
	public String getMultipleconnections() {
		return multipleconnections;
	}
	/**
	 * @param multipleconnections
	 * @uml.property  name="multipleconnections"
	 */
	public void setMultipleconnections(String multipleconnections) {
		this.multipleconnections = multipleconnections;
	}
	/**
	 * @param dbaddress
	 * @uml.property  name="dbaddress"
	 */
	public void setDbaddress(String dbaddress) {
		this.dbaddress = dbaddress;
	}
	
}
